import * as React from 'react';
import {
    Container,
    Card,
    Feed,
} from 'semantic-ui-react';

export interface Props {
}

export interface State {

}

export class Notification extends React.Component<Props, State> {

    constructor(props: Props, context: State) {
        super(props, context);
        this.state = {
        };
    }

    public render(): JSX.Element {

        return (
            <Container>
                <Card fluid>
                    <Card.Content>
                        <Card.Header>User Notifications</Card.Header>
                    </Card.Content>
                    <Card.Content>
                        <Feed>
                            <Feed.Event>
                                <Feed.Label icon='task' />
                                <Feed.Content>
                                    <Feed.Date content='1 day ago' />
                                    <Feed.Summary>
                                        You added <a>Jenny Hess</a> to your <a>coworker</a> group.
                                    </Feed.Summary>
                                </Feed.Content>
                            </Feed.Event>

                            <Feed.Event>
                                <Feed.Label icon='privacy' />
                                <Feed.Content>
                                    <Feed.Date content='3 days ago' />
                                    <Feed.Summary>
                                        You added <a>Molly Malone</a> as a friend.
                                    </Feed.Summary>
                                </Feed.Content>
                            </Feed.Event>

                            <Feed.Event>
                                <Feed.Label icon='alarm' />
                                <Feed.Content>
                                    <Feed.Date content='4 days ago' />
                                    <Feed.Summary>
                                        You added <a>Elliot Baker</a> to your <a>musicians</a> group.
                                     </Feed.Summary>
                                </Feed.Content>
                            </Feed.Event>
                        </Feed>
                    </Card.Content>
                </Card>
            </Container>
        );
    }
}
